Just a heads up, we don't have a huge amount of space on this machine, ~750 GB for the git repos. We can include some data in the projects, but really big datasets will need to remain elsewhere. For anyone new to Git, this is a fairly good place to start: http://gitref.org/index.html Documentation for Gitlab is available here: http://doc.gitlab.com/

Commit 044dba13 authored by Khalid Kunji's avatar Khalid Kunji

Improved killing of GIGI threads when ctrl+c/SIGINT is issued

parent 55508cca
......@@ -19,6 +19,7 @@ command -v seq >/dev/null 2>&1 || { echo >&2 "seq is required but not installed
command -v tr >/dev/null 2>&1 || { echo >&2 "tr is required but not installed or not in the path. Aborting."; exit 1; }
command -v sort >/dev/null 2>&1 || { echo >&2 "sort is recommended but not installed or not in the path. Continuing, but behavior is undetermined"; }
command -v cgcreate >/dev/null 2>&1 || { echo >&2 "cgcreate from package cgroup-tools/libcgroups is recommended but not installed or not in the path. Continuing, but memory limits may not be imposed. See the README for more info"; }
command -v pgrep >/dev/null 2>&1 || { echo >&2 "pgrep is recommended but not installed or not in the path. Continuing, but ctrl+c may not kill GIGI threads."; }
echo
......@@ -205,7 +206,7 @@ then
fi
;;
v )
echo "GIGI-Quick version: 1.03"
echo "GIGI-Quick version: 1.04"
echo "If you intended to activate verbose output, that flag is now capitalized: '-V'"
exit 0
;;
......
......@@ -146,6 +146,7 @@ do
fi
done
export pids
waiting=true
#Check exit status
for pid in ${pids[*]}
......
......@@ -14,7 +14,16 @@ function finish {
#then
# timeout --preserve-status 5 killall --wait -i -s SIGKILL GIGI
#fi
killall --wait GIGI
#Check exit status
for pid in ${pids[*]}
do
id=$(pgrep -P ${pid})
echo "${id}"
kill "${id}"
echo "gigi pid: ""${pid}" " has been killed by ctrl+c/SIGINT"
done
waiting=false
#killall --wait GIGI
fi
#echo "Killing self with SIGINT"
kill -INT $$
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment